import resolve from "@rollup/plugin-node-resolve"; // 解析引用插件
import ts from 'rollup-plugin-typescript2' // TS解析插件
import path from 'path'
import packageJSON from './package.json'

const getPath = _path => path.resolve(__dirname, _path)

export default {
  input: "src/index.ts", // 打包入口
  output: [
    {
      file: packageJSON.main,
      format: "umd", // umd是兼容amd/cjs/iife的通用打包格式，适合浏览器
      name: "zjHttpRequest",
    },
    {
      file: packageJSON.module, // es6模块
      format: 'es',
    }
  ],
  plugins: [
    // 打包插件
    resolve(), // 查找和打包node_modules中的第三方模块
    ts({
      tsconfig: getPath('./tsconfig.json')
    })
  ],
};